Method: projects.locations.instances.mpc.keyRings.keys.create

Initiates a Distributed Key Generation (DKG) ceremony. This method returns a google.longrunning.Operation resource, as DKG is an asynchronous operation. See https://google.aip.dev/151 for more details on LROs.

HTTP request

POST https://mpc.googleapis.com/v1alpha1/{parent=projects/*/locations/*/instances/*/mpc/keyRings/*}/keys

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent key ring resource name where the key will be created. Format: projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyRing} It takes the form projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyring}.

Query parameters

Parameters
keyId

string

Required. The ID to use for the key, which will become the final component of the key's resource name.

It must be unique within a key ring and match the regular expression [a-zA-Z0-9_-]{1,63}.

Request body

The request body contains an instance of Key.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.